#include "OperatorUnionManager.h"
#include "OperatorUnion.h"

static OperatorUnionManager * instance = NULL;

OperatorUnionManager * OperatorUnionManager::getInstance () {
  if(instance == NULL)
    instance = new OperatorUnionManager;
  return instance;
}

void OperatorUnionManager::destroyInstance () {
  if (instance != NULL) {
    delete instance;
    instance = NULL;
  }
}

OperatorInterface * OperatorUnionManager::createOperator () {
  return new OperatorUnion;
}
